Quantcast
Jump to content



  • Own an LG TV or webOS device? Join our Forum!

    Register now to gain access to our webOS user support forum. Once registered and logged in, you will be able to post a user to user support request topic to this site or reply to existing topics posted by other users. You can also take part in our other webOS user forums. You'll be able to customize your profile, receive reputation points, while also communicating with other members via your own private inbox, plus much more!

  • 2
Ray Magargee

We'll stop supporting this browser soon.

Question

I bought two LG SMART tvs primarily to surf the net on our tv.  I get this message on many (not all) websites: We'll stop supporting this browser soon.   For best results please update your browser. 

This proves that LG misled me by calling their tv SMART when it is not SMART at all. I can't put another browser on these tvs and I can't update the browser so I can get on these websites.

I thought false advertising was illegal.
 

  • Like 1
  • Sad 2

Share this post


Link to post
Share on other sites

1 answer to this question

Recommended Posts

  • 1
2 hours ago, Ray Magargee said:

I bought two LG SMART tvs primarily to surf the net on our tv.  I get this message on many (not all) websites: We'll stop supporting this browser soon.   For best results please update your browser. 

This proves that LG misled me by calling their tv SMART when it is not SMART at all. I can't put another browser on these tvs and I can't update the browser so I can get on these websites.

I thought false advertising was illegal.
 

I have the same issue. I can’t download aps which arent in LG conten store, i dont have movies section in LG content store because my country isn’t supported. Real shame TV 

  • Sad 1

Share this post


Link to post
Share on other sites


Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Similar Topics

    • By Roadrunner99
      OLED65E7P bought in USA but later converted to India region by following the below link 

      link hidden, please login to view Current software version is 05.80.15
      It won't find any new updates while checking from TV menu.
      Should I upgrade it to 05.80.55 by downloading from LG India website?
      starfish-dvb-secured-m16p-611.dunggir.m16p-61114-05.80.55-prodkey_usb_V3_SECURED.epk
      Reason for asking is sometimes the apps act funny, especially Hotstar app seems buggy or not quick to respond. Does work ok most of the time. 
      Thanks for any helpful advice. 
    • By Tony Levy
      I have with the help of this forum been able to get my smart DNS working and can no watch streaming from the BBCi player, and  All4 however I cannot get the ITV hub to work, it loads the program I want to watch but then reverts to a screen saying
      'Where is my show etc' and it doesnt play
      I do not understand why ITV hub will not work yet the BBCi player and All4 and Both work
      My5 also does not work but I get the error message you must be in the UK to view this content
    • By PVN Satyanarayana
      Hi, I purchased my SMART TV model 43LF6300 in the year 2016 and current Firmware Version 04.06.40. Every one India using their favorite app like Disney Hotstar+, Zee5, Aaha and many more apps but those are not available on my TV which is annoying.. I spent Rs. 54000 to buy LG Smart TV but all the latest apps are not available. Please release the latest Web OS for these models at least Beta version unless the TVs like this will be useless and no one trust LG products. Thanks in advance and hope to receive latest Web OS soon.
    • By naveed
      disney+hotstart not working in smart tv, its shows ( Uh-oh, the platform does not seem go be best suited for playback of this content  PI60006 NAS )

    • By Callander
      Brower version is no longer supported. 
      Just update grow it or download desktop app


×
×
  • Create New...